#!/usr/bin/env ruby
require "mkmf"

ext_name = "Citrusleaf"

# we might be in our code tree, reaching over to the C library
# or we might be in a distribution tarball, where the c library
# is right here
if File.directory? "../../shared/include"
	dir_config(ext_name, "../../shared/include", "../../shared/lib")
else
	dir_config(ext_name, "include", "lib")
end

find_library("rt", "clock_gettime")
find_library("crypto", "RIPEMD160_Init")
find_library("pthread", "pthread_create")

if File.directory? "../../shared/include"
	find_header("citrusleaf/citrusleaf.h", "../../shared/include")
else
	find_header("citrusleaf/citrusleaf.h", "include")
end

if File.directory? "../../shared/lib"
	find_library("citrusleaf", "citrusleaf_init", "../../shared/lib")
else
	find_library("citrusleaf", "citrusleaf_init", "lib")
end

create_makefile(ext_name)
